Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.smtp
Class SMTPConnectionClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.net.smtp.SMTPConnectionClosedException

All Implemented Interfaces:
  Serializable

public final class SMTPConnectionClosedException
extends IOException

SMTPConnectionClosedException is used to indicate the premature or unexpected closing of an SMTP connection resulting from a `SMTPReply.SERVICE_NOT_AVAILABLE` response (SMTP reply code 421) to a failed SMTP command. This exception is derived from IOException and therefore may be caught either as an IOException or specifically as an SMTPConnectionClosedException.

Author:
  Daniel F. Savarese
See Also:
  `SMTP`, `SMTPClient`, Serialized Form

Constructor Summary
`SMTPConnectionClosedException()` Constructs a SMTPConnectionClosedException with no message
`SMTPConnectionClosedException(String message)` Constructs a SMTPConnectionClosedException with a specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SMTPConnectionClosedException

    public SMTPConnectionClosedException()

  Constructs a SMTPConnectionClosedException with no message

### SMTPConnectionClosedException

    public SMTPConnectionClosedException(String message)

  Constructs a SMTPConnectionClosedException with a specified message.

Parameters:
  `message` - The message explaining the reason for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.